## com.fasterxml.jackson.databind.deser.impl
Class SetterlessProperty

    java.lang.Object
      com.fasterxml.jackson.databind.deser.SettableBeanProperty
          com.fasterxml.jackson.databind.deser.impl.SetterlessProperty

All Implemented Interfaces:
  BeanProperty, Named

    public final class SetterlessProperty

extends SettableBeanProperty

This concrete sub-class implements Collection or Map property that is indirectly by getting the property value and directly modifying it.

Nested Class Summary

Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty
`BeanProperty.Std`

Field Summary
`protected AnnotatedMethod` `_annotated`
`protected Method` `_getter` Get method for accessing property value used to access property (of Collection or Map type) to modify.

Fields inherited from class com.fasterxml.jackson.databind.deser.SettableBeanProperty
`_contextAnnotations, _managedReferenceName, _nullProvider, _propertyIndex, _propName, _type, _valueDeserializer, _valueTypeDeserializer, _viewMatcher`

Constructor Summary
`` `SetterlessProperty(BeanPropertyDefinition propDef, JavaType type, TypeDeserializer typeDeser, Annotations contextAnnotations, AnnotatedMethod method)`
`protected` `SetterlessProperty(SetterlessProperty src, JsonDeserializer<?> deser)`
`protected` `SetterlessProperty(SetterlessProperty src, String newName)`

Method Summary
`void` `deserializeAndSet(JsonParser jp, DeserializationContext ctxt, Object instance)` Method called to deserialize appropriate value, given parser (and context), and set it using appropriate mechanism.
`Object` `deserializeSetAndReturn(JsonParser jp, DeserializationContext ctxt, Object instance)` Alternative to `SettableBeanProperty.deserializeAndSet(com.fasterxml.jackson.core.JsonParser, com.fasterxml.jackson.databind.DeserializationContext, java.lang.Object)` that returns either return value of setter method called (if one is), or null to indicate that no return value is available.

`

`<A extends Annotation> A`

`

`getAnnotation(Class<A> acls)`
Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.

`AnnotatedMember` `getMember()` Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.
`void` `set(Object instance, Object value)` Method called to assign given value to this property, on specified Object.
`Object` `setAndReturn(Object instance, Object value)` Method called to assign given value to this property, on specified Object, and return whatever delegating accessor returned (if anything)
`SetterlessProperty` `withName(String newName)`
`SetterlessProperty` `withValueDeserializer(JsonDeserializer<?> deser)`

Methods inherited from class com.fasterxml.jackson.databind.deser.SettableBeanProperty
`_throwAsIOE, _throwAsIOE, assignIndex, deserialize, getContextAnnotation, getDeclaringClass, getInjectableValueId, getManagedReferenceName, getName, getPropertyIndex, getType, getValueDeserializer, getValueTypeDeserializer, hasValueDeserializer, hasValueTypeDeserializer, hasViews, setManagedReferenceName, setViews, toString, visibleInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _annotated

    protected final AnnotatedMethod _annotated

### _getter

    protected final Method _getter

  Get method for accessing property value used to access property (of Collection or Map type) to modify.

Constructor Detail

### SetterlessProperty

    public SetterlessProperty(BeanPropertyDefinition propDef,
                              JavaType type,
                              TypeDeserializer typeDeser,
                              Annotations contextAnnotations,
                              AnnotatedMethod method)

### SetterlessProperty

    protected SetterlessProperty(SetterlessProperty src,
                                 JsonDeserializer<?> deser)

### SetterlessProperty

    protected SetterlessProperty(SetterlessProperty src,
                                 String newName)

Method Detail

### withName

    public SetterlessProperty withName(String newName)

  Specified by:
    `withName` in class `SettableBeanProperty`

### withValueDeserializer

    public SetterlessProperty withValueDeserializer(JsonDeserializer<?> deser)

  Specified by:
    `withValueDeserializer` in class `SettableBeanProperty`

### getAnnotation

    public <A extends Annotation> A getAnnotation(Class<A> acls)

  Description copied from interface: `BeanProperty`
  Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.

  Specified by:
    `getAnnotation` in interface `BeanProperty`
  Specified by:
    `getAnnotation` in class `SettableBeanProperty`

### getMember

    public AnnotatedMember getMember()

  Description copied from interface: `BeanProperty`
  Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.

  Specified by:
    `getMember` in interface `BeanProperty`
  Specified by:
    `getMember` in class `SettableBeanProperty`

### deserializeAndSet

    public final void deserializeAndSet(JsonParser jp,
                                        DeserializationContext ctxt,
                                        Object instance)
                                 throws IOException,
                                        JsonProcessingException

  Description copied from class: `SettableBeanProperty`
  Method called to deserialize appropriate value, given parser (and context), and set it using appropriate mechanism. Pre-condition is that passed parser must point to the first token that should be consumed to produce the value (the only value for scalars, multiple for Objects and Arrays).

  Specified by:
    `deserializeAndSet` in class `SettableBeanProperty`
  Throws:
    `IOException`
    `JsonProcessingException`

### deserializeSetAndReturn

    public Object deserializeSetAndReturn(JsonParser jp,
                                          DeserializationContext ctxt,
                                          Object instance)
                                   throws IOException,
                                          JsonProcessingException

  Description copied from class: `SettableBeanProperty`
  Alternative to `SettableBeanProperty.deserializeAndSet(com.fasterxml.jackson.core.JsonParser, com.fasterxml.jackson.databind.DeserializationContext, java.lang.Object)` that returns either return value of setter method called (if one is), or null to indicate that no return value is available. Mostly used to support Builder style deserialization.

  Specified by:
    `deserializeSetAndReturn` in class `SettableBeanProperty`
  Throws:
    `IOException`
    `JsonProcessingException`

### set

    public final void set(Object instance,
                          Object value)
                   throws IOException

  Description copied from class: `SettableBeanProperty`
  Method called to assign given value to this property, on specified Object.

  Specified by:
    `set` in class `SettableBeanProperty`
  Throws:
    `IOException`

### setAndReturn

    public Object setAndReturn(Object instance,
                               Object value)
                        throws IOException

  Description copied from class: `SettableBeanProperty`
  Method called to assign given value to this property, on specified Object, and return whatever delegating accessor returned (if anything)

  Specified by:
    `setAndReturn` in class `SettableBeanProperty`
  Throws:
    `IOException`

Copyright © 2012 fasterxml.com. All Rights Reserved.